Subject: Re: [trill] FW: New Version Notification for draft-tissa-trill-mt-encode-01.txt

From: Donald Eastlake <[email-masked]>
Date: Sun, 19 Aug 2012 11:14:02 -0400

Hi Tissa,

On Fri, Jul 13, 2012 at 12:13 AM, Tissa Senevirathne (tsenevir)
<[email-masked]> wrote:
> Hi Donald
>
> Please see my comments in-line
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Donald Eastlake
> Sent: Thursday, July 12, 2012 8:26 AM
> To: Naveen Nimmu
> Cc: [email-masked]
> Subject: Re: [trill] FW: New Version Notification for draft-tissa-trill-mt-encode-01.txt
>
> A few comments:
>
> ...
>
> I'm not sure why there has to be an MT Capability bit. Wouldn't just not including the MT TLV be a good enough indication if you required even an MT capable RBridge only participating in base topology zero to include the MT TLV?
>
> [Answer] MT capability bit was added to identify the MT capability in the Hello message itself. However, we can discuss the use of the MT TLV for the purpose. I did not quite understand the inclusion of MT TLV in base topology question.

I believe the MT TLV can occur in Hellos as well as in LSP fragment
zero. It is optional in Hellos for Layer 3 IS-IS routers that only
support topology zero. I don't see why we couldn't require it to be
present in TRILL to indicate support of the proposed data plane
topology encoding.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

> ...
>
> Thanks,
> Donald
> =============================
>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>  155 Beaver Street, Milford, MA 01757 USA  [email-masked]
>
> On Mon, Jun 18, 2012 at 3:12 PM, Naveen Nimmu <[email-masked]> wrote:
>> A new version of this draft is posted. This version adds  proposed  extensions to support TRILL nickname space from 16bits to 24 bits.
>> Please review and provide feedback.
>> Thanks
>> \naveen
>>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]
>> Sent: Monday, June 18, 2012 8:13 AM
>> To: [email-masked]
>> Cc: [email-masked]; [email-masked]; Naveen Nimmu;
>> [email-masked]
>> Subject: New Version Notification for
>> draft-tissa-trill-mt-encode-01.txt
>>
>>
>> A new version of I-D, draft-tissa-trill-mt-encode-01.txt
>> has been successfully submitted by Tissa Senevirathne and posted to
>> the IETF repository.
>>
>> Filename:        draft-tissa-trill-mt-encode
>> Revision:        01
>> Title:           Multi Topology Encoding within TRILL data frames
>> Creation date:   2012-06-17
>> WG ID:           Individual Submission
>> Number of pages: 12
>> URL:             http://www.ietf.org/internet-drafts/draft-tissa-trill-mt-encode-01.txt
>> Status:          http://datatracker.ietf.org/doc/draft-tissa-trill-mt-encode
>> Htmlized:        http://tools.ietf.org/html/draft-tissa-trill-mt-encode-01
>> Diff:            http://tools.ietf.org/rfcdiff?url2=draft-tissa-trill-mt-encode-01
>>
>> Abstract:
>>    Two alternate methods of encoding Multi Topology Identifier within
>>    the TRILL data frames are presented. Methods proposed herein do not
>>    require overloading TRILL RBridge nickname to encode Multi Topology
>>    Identifier. A method that expands TRILL nickname space from 16bits
>>    to 24 bits is also presented in this draft.
>>
>>
>>
>>
>> The IETF Secretariat
>>
>> _______________________________________________
>> trill mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/trill
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill